### Hierarchy

- ClientDataRepository

### Implemented by

- ClientDataRepositoryImpl

## Index

### Methods

- getData
- updateData

## Methods

### getData

- getData(id: string): Promise<Map<string, string>>

- - Defined in repository/client/ClientDataRepository.ts:3

  #### Parameters

  - ##### id: string

  #### Returns Promise<Map<string, string>>

### updateData

- updateData(id: string, data: Map<string, string>): Promise<Map<string, string>>

- - Defined in repository/client/ClientDataRepository.ts:5

  #### Parameters

  - ##### id: string

  - ##### data: Map<string, string>

  #### Returns Promise<Map<string, string>>

Generated using TypeDoc